[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TField.IsIndexField

Is the field an indexed field ?

## Declaration

Source position: db.pas line 430

`public property TField.IsIndexField : Boolean read FIsIndexField;`

## Description

IsIndexField is true if the field is an indexed field. By default this property is False, descendents of TDataset can change this to True.

## See also

TField.Calculated |  | Is the field a calculated field ?